help_info_json_stu={
	"help_info": [{
		"help_title": "会话",
		"help_ans_length": 4,
		"help_info_list": [{
			"help_que": "如何使用会话列表",
			"help_ans_gn_describe": "会话列表主要展示历史会话记录，其中包括系统消息、群组会话和单人会话3种；红色数字用来提示该用户目前未查看的会话记录。",
			"help_ans_cz_describe": "点击对应用户姓名或群组即可进入会话页面；<br />按住会话向左滑动即可删除当前单条会话；"
		},
		{
			"help_que": "如何使用系统消息",
			"help_ans_gn_describe": "系统消息主要起到提醒作用，包括：添加好友提醒、新闻资讯提醒、加入群组提醒、退出群组提醒、解散群组提醒等。",
			"help_ans_cz_describe": "系统消息自动发送，点击会话列表页面“系统消息”菜单即可查看；<br/>通过点击通知提醒上的“请点击查看”来跳转到具体页面；"
		},
		{
			"help_que": "如何使用个人会话",
			"help_ans_gn_describe": "个人会话主要是为了实现教师、学生和家长之间的即时通讯，更方便的维护了教师和学生、教师和家长之间的交流，促进家校一体；用户可以通过个人会话发送文字、表情、图片和语音等信息。",
			"help_ans_cz_describe": "点击文本框，可输入文字；<br/>点击“发送”按钮，发送文本信息；<br/>点击“笑脸”按钮，可选择表情；<br/>点击“发送”按钮，发送表情；<br/>点击“加号”按钮，可选择发送附件，现支持“图库”和“拍照”两种方式发送图片；<br/>点击会话内容中的“图片”附件，可查看当前图片，并通过左右滑动显示历史图片信息；<br/>点击“语音”按钮，按住“说话”按钮，即可录音，松开则发送语音，单次语音时长不可大于1分钟；"
		},
		{
			"help_que": "如何使用群组会话",
			"help_ans_gn_describe": "群组会话主要是为了教师、学生和家长实现不同群组间即时通讯功能，更方便的帮助教师与教师、教师与学生和家长，学生与学生进行有效的集体讨论和学习；可以发送文字、表情、图片和语音信息。",
			"help_ans_cz_describe": "点击文本框，可输入文字；<br/>点击“发送”按钮，发送文本信息；<br/>点击“笑脸”按钮，可选择表情；<br/>点击“发送”按钮，发送表情；<br/>点击“加号”按钮，可选择发送附件，现支持“图库”和“拍照”两种方式发送图片；<br/>点击会话内容中的“图片”附件，可查看当前图片，左右滑动显示历史图片信息；<br/>点击“语音”按钮，按住“说话”按钮，即可录音，松开则发送语音，单次语音时长不可大于1分钟；<br/>点击右上角“群组成员”图标，即可查询当前群组信息和群组成员，点击群组人员头像即可进行个人会话；"
		}]
	},
	{
		"help_title": "通讯录",
		"help_ans_length": 3,
		"help_info_list": [{
			"help_que": "如何使用会话列表",
			"help_ans_gn_describe": "通讯录主要展示群组信息和我的好友信息，群组包括：教师中有我的同事，我的任课班级默认群组；其他在云备课中心中设置的自定义群组；好友信息包括通过空间和手机添加的全部好友。",
			"help_ans_cz_describe": "我的同事：默认群组，显示当前组织机构的教师人员，由学校管理员维护；<br/>我的班级：默认群组，显示教师任教班级，组内成员包括学生和任课教师的群组，由学校管理员维护；<br/>自定义群组列表更新：通过云备课中心创建、加入和退出群组，在家校通会自动更新群组列表；<br/>我的好友列表：可以通过空间和通讯录页面“添加好友”功能维护；"
		},
		{
			"help_que": "如何添加好友",
			"help_ans_gn_describe": "添加好友功能是维护通讯录好友列表的一种方式，可以添加本学校内的教师、学生和家长人员为好友，也可以查看和操作“添加我为好友”的信息申请。",
			"help_ans_cz_describe": "可以通过“我添加的”选项显示人员列表，选择其中人员点击“添加”按钮进行好友添加操作，已经是好友关系的不能重复添加；<br/>可以通过“添加我的”查看和进行“接收”和“拒绝”操作；<br/>添加好友时，可以通过身份分类筛选教师、学生和家长不同身份人员；<br/>添加好友时，可以向文本框中输入姓名进行模糊查找；"
		},
		{
			"help_que": "如何创建群组",
			"help_ans_gn_describe": "创建群组功能是维护通讯录群组列表的一种方式，可以创建自定义群组，可以通过类别，所在部门来查找好友并邀请好友加入群组，可以查看群组内人员及人员信息。",
			"help_ans_cz_describe": "可以通过“创建群组”来创建新的群组；<br/>可以通过点击群组中人员列表下的人员来获取人员信息；"
		}]
	},
	{
		"help_title": "作业",
		"help_ans_length": 4,
		"help_info_list": [{
			"help_que": "如何使用作业列表",
			"help_ans_gn_describe": "作业列表页面主要展示当前所有的作业，可以根据不同学科查看作业，也可以根据不同的作业状态查看作业；学生没有查看过的作业，作业标题后会有一个红圆点进行提示；已做完的作业标题后，正确率会显示两个小横线；教师已批改完的作业标题后，正确率会显示百分比。",
			"help_ans_cz_describe": "查看作业时，可以点击顶部学科分类进行查看，学科分类多于当前屏幕宽度时，可以横向拖动学科分类；<br/>查看作业时，可以点击右上角下拉图标，出现作业状态分类菜单，可以点击其中分类进行查看作业。"
		},
		{
			"help_que": "如何做作业",
			"help_ans_gn_describe": "做作业页面首先展示的是作业说明页面，在作业说明页面中，可以看到作业标题以及教师对该作业的详细说明。进入到做作业页面，可以查看到具体试题。",
			"help_ans_cz_describe": "做作业时，点击列表中具体某个作业，进入到作业说明页面；<br/>点击作业说明中的开始作业按钮，进入到做作业页面；<br/>主观题作答，点击上传答案按钮，可以选择拍照或相册中的答案图片上传；<br/>客观题作答，直接点击选项；<br/>点击试题页面右上角的数字，可以进入到答题卡页面，在答题卡页面可以查看自己具体已经做了哪道试题；<br/>答题卡页面点击继续答题按钮，页面就会跳转到没有做并且是最小序号的试题页面；<br/>答题卡页面点击提交作业，就是将作业提交给教师；<br/>答题卡页面点击试题对应的序号圆按钮，就会进入相应试题的页面；<br/>在试题页面右上角也有提交按钮，不必回到答题卡页面提交作业；"
		},
		{
			"help_que": "如何使用已截止作业",
			"help_ans_gn_describe": "已截止作业页面首先展示的是作业说明页面，在作业说明页面中，可以看到作业标题以及教师对该作业的详细说明。进入到试题页面，只可以查看试题，不能作答。",
			"help_ans_cz_describe": "查看已截止的作业，点击列表中该作业项，进入到作业说明页面；<br/>点击查看作业按钮，可以查看具体试题，但不能作答；"
		},
		{
			"help_que": "如何使用已批阅作业",
			"help_ans_gn_describe": "已批阅作业页面首先展示的是作业详情页面，在作业详情页面中，用户可以查看正确率以及每道题的答题情况，在作业说明页面中，可以看到作业标题以及教师对该作业的详细说明。进入到试题页面，可以查看该试题的正确答案、该题正误、错题解析等。",
			"help_ans_cz_describe": "查看已批阅的作业，点击列表中该作业项，进入到作业详情页面；<br/>在作业详情页面中，点击右上角作业说明按钮，进入到作业说明页面；<br/>点击逐题解析按钮，查看所有试题；<br/>点击错题解析按钮，只查看做错的试题；"
		}
		]
	},
	{
		"help_title": "导学",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何使用导学列表",
			"help_ans_gn_describe": "导学列表页面主要展示当前所有的导学，可以根据不同学科查看导学。学生没有查看过的导学，导学标题后会有一个红圆点进行提示。",
			"help_ans_cz_describe": "查看导学时，可以点击顶部学科分类进行查看，学科分类多于当前屏幕宽度时，可以横向拖动学科分类；"
		},
		{
			"help_que": "如何使用导学详情页面",
			"help_ans_gn_describe": "导学详情页面展示的是导学名称、导学说明、导学内容、评论以及点赞，导学内容中的缩略图可以点击查看具体内容。",
			"help_ans_cz_describe": "点击“缩略图”，可查看资源、练习、微课的详情；<br/>在导学详情页面，点击页面最下方左侧评论图标按钮，进入到写评论页面；<br/>点击评论文本框即可录入少于1000个文字的评论内容；<br/>点击写评论页面右上角“发布”按钮，发布评论；<br/>返回到导学详情页面的最下方，可以查看评论；<br/>点击“回复”按钮，可以回复该评论；<br/>可以对自己发布的导学下的评论以及自己对其他导学的评论可以执行删除操作；<br/>点击页面最下方左侧的评论数，页面可以直接定位到评论；<br/>在导学详情页面，点击页面最下方右侧点赞图标按钮，可以对该导学进行点赞；<br/>如果已经进行点赞，重复点击，可以取消点赞；<br/>主观题作答，点击上传答案按钮，可以选择拍照或相册中的答案图片上传；<br/>主观题作答，点击在线作答按钮，可以手写题目答案并保存成图片上传；<br/>客观题作答，直接点击选项；<br/>点击试题页面右上角的数字，可以进入到答题卡页面，在答题卡页面可以查看自己具体已经做了哪道试题；<br/>答题卡页面点击“继续答题”按钮，页面就会跳转到没有做并且是最小序号的试题页面；<br/>答题卡页面点击“提交”按钮，代表完成该练习，学生可以进入试题作答页面查看试题答案及解析；<br/>答题卡页面点击试题对应的序号圆按钮，就会进入相应试题的页面；"
		},
		]
	},
	{
		"help_title": "题本",
		"help_ans_length": 3,
		"help_info_list": [{
			"help_que": "查看做错的题",
			"help_ans_gn_describe": "做错的题列表页面主要展示当前所有的错题，可以根据不同学科查看错题。",
			"help_ans_cz_describe": "查看错题时，可以点击顶部学科分类进行查看，学科分类多于当前屏幕宽度时，可以横向拖动学科分类；<br/>点击具体某一道题，进入到错题详情页面；<br/>点击错题详情页面中的收藏按钮，将该题进行收藏；点击掌握（未掌握）按钮，为该题添加”掌握（未掌握）”下标；<br/>点击设置错题标签为该题设置错题的类型；"
		},
		{
			"help_que": "查看收藏的题",
			"help_ans_gn_describe": "收藏的题列表页面主要展示当前所有收藏的题，可以根据不同学科查看。",
			"help_ans_cz_describe": "查看收藏的题时，可以点击顶部学科分类进行查看，学科分类多于当前屏幕宽度时，可以横向拖动学科分类；<br/>点击具体某一道题，进入到该题详情页面；<br/>点击试题详情页面中的取消收藏按钮，取消对将该题的收藏；"
		},
		{
			"help_que": "如何使用交流讨论",
			"help_ans_gn_describe": "交流讨论是该学生可以根据分类进入班级群组讨论页面，进行交流学习。",
			"help_ans_cz_describe": "在错题详情页面，点击右上角下拉图标，会出现下拉菜单页面；<br/>点击交流讨论按钮，页面下方出现你要交流讨论的分类；<br/>点击其中的分类，进入班级群组讨论页面；"
		}]
	},
	{
		"help_title": "课程表",
		"help_ans_length": 1,
		"help_info_list": [{
			"help_que": "如何使用任课计划课程表",
			"help_ans_gn_describe": "任课计划课程表主要展示的是根据教师在云备课中心设置的任课班级的任课计划自动生成的课表。",
			"help_ans_cz_describe": "手机端展示课程表内容是根据个人空间中对课程表显示内容的设置，包括任课计划课程表和自定义课程表；<br/>任课计划课程表内容由学校管理员设定的任课计划自动生成的课表，展示每日授课班级；<br/>点击有内容信息的课程弹出当前课程的详细信息；<br/>下拉课程表屏幕，即可刷新当前课程表内容；"
		}]
	},
	{
		"help_title": "新闻资讯",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何使用新闻资讯列表",
			"help_ans_gn_describe": "新闻资讯列表主要展示本班和本校的新闻资讯。",
			"help_ans_cz_describe": "点击班级名称，查看班级新闻资讯，点击学校名称查看学校新闻资讯； <br/>可以在文本框中输入需要查找的新闻资讯名称，模糊查询要查找的新闻资讯内容；<br/>点击新闻资讯列表菜单即可进入查看新闻资讯详细信息；<br/>下拉新闻资讯列表屏幕，即可刷新当前新闻资讯列表；"
		},

		{
			"help_que": "如何查看新闻资讯",
			"help_ans_gn_describe": "查看新闻资讯主要是查看当前新闻资讯的具体内容。",
			"help_ans_cz_describe": "点击新闻资讯列表菜单中的新闻资讯标题进入新闻资讯内容详细页面，同时可以通过网页端查看；<br/>点击右上角“耳机”样式的图标可以收听该新闻的朗诵；"
		}]
	},
	{
		"help_title": "扫一扫",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何扫描二维码",
			"help_ans_gn_describe": "扫描二维码功能是通过扫描公用二维码或家校通自带二维码，打开对应信息功能。",
			"help_ans_cz_describe": "添加好友功能：被添加好友用户，进入“我”-“我的二维码”菜单，用“扫一扫”功能扫描二维码，即可发送添加好友申请；<br/>打开网页功能：扫描公共二维码信息，即可打开对应网址页面；<br/>云平台登录功能：扫描云平台二维码，即可自动登录云平台；"
		},
		{
			"help_que": "如何使用相册选择二维码",
			"help_ans_gn_describe": "通过相册选取二维码打开对应信息功能。",
			"help_ans_cz_describe": "点击扫一扫页面上方“相册”图标，打开相册，选取二维码图片；<br/>功能同扫描二维码；"
		}]
	},
	{
		"help_title": "个人信息",
		"help_ans_length": 4,
		"help_info_list": [{
			"help_que": "如何查看个人信息",
			"help_ans_gn_describe": "查看个人信息功能主要展示当前用户的详细信息，包括：头像、名字、账号、二维码和组织机构。",
			"help_ans_cz_describe": "点击“我”——头像菜单进入详细个人信息页面；"
		},
		{
			"help_que": "如何修改头像",
			"help_ans_gn_describe": "修改头像是对当前用户的头像信息进行修改。",
			"help_ans_cz_describe": "点击“头像”菜单，弹出对话框，可以通过“现在照”和“相册选”进行修改；<br/>点击“现在照”按钮，即可打开相机拍摄照片作为头像上传；<br/>点击“相册选”按钮，即可打开相册选择一张图片作为头像上传；"
		},
		{
			"help_que": "如何使用二维码功能",
			"help_ans_gn_describe": "我的二维码主要是展示自己的信息名片，可以用来添加好友等使用。",
			"help_ans_cz_describe": "点击“我的二维码”菜单，展示我的二维码信息；"
		},
		{
			"help_que": "如何修改个人手机号",
			"help_ans_gn_describe": "我的手机号是方便相互联系的信息名片。",
			"help_ans_cz_describe": "点击“手机号”菜单，提示输入手机号，输入手机号以进行修改；"
		}]
	},
	{
		"help_title": "校园食谱",
		"help_ans_length": 1,
		"help_info_list": [{
			"help_que": "如何使用食谱列表",
			"help_ans_gn_describe": "食谱列表主要展示学校管理员对该学校所有教师、学生以及家长发布的食谱。",
			"help_ans_cz_describe": "点击页面上方搜索按钮，可根据搜索条件查看食谱列表；<br/>点击列表的某一项，进入到该条食谱的详情页面；"
		}]
	},
	{
		"help_title": "校园广播",
		"help_ans_length": 1,
		"help_info_list": [{
			"help_que": "如何使用校园广播列表",
			"help_ans_gn_describe": "校园广播列表主要展示学校管理员对该学校所有教师、学生以及家长发布的校园广播。",
			"help_ans_cz_describe": "点击页面上方搜索按钮，可根据搜索条件查看校园广播列表；<br/>点击列表的某一项，进入到该条校园广播的详情页面；<br/>校园广播详情页面，点击页面下方的音频播放器的开关，就会播放当前广播相应的音频文件；"
		}]
	},
	{
		"help_title": "个人设置",
		"help_ans_length": 1,
		"help_info_list": [{
			"help_que": "如何使用个人设置",
			"help_ans_gn_describe": "提供密码修改、清空会话记录等设置。",
			"help_ans_cz_describe": "点击“修改密码”进入密码修改页面，输入原密码、新密码和密码确认，完成密码修改；<br/>点击“清空会话记录”，清空所有会话记录；<br/>点击“退出登录”，退出人人通系统；"
		}]
	},
	{
		"help_title": "问卷调查",
		"help_ans_length": 6,
		"help_info_list": [{
			"help_que": "如何使用我创建的",
			"help_ans_gn_describe": "我创建的主要展示我在WEB端个人空间添加的所有问卷调查，点击上方问卷状态的导航条，可以选出相应状态下的问卷调查。",
			"help_ans_cz_describe": "点击已发布的调查问卷，出现三个按钮选项；<br/>点击“预览”按钮，进入到问卷调查详情页面；<br/>点击“查看结果”按钮，进入到统计页面；<br/>点击 “取消”按钮，回到我创建的列表页面；<br/>点击未发布的调查问卷进入到调查问卷详情页，点击查看内容进入到试题页面；"
		},
		{
			"help_que": "如何使用邀请我的",
			"help_ans_gn_describe": "邀请我的主要展示所有邀请我参与的问卷调查，点击上方答题状态的导航条，可以选出相应状态下的问卷调查。",
			"help_ans_cz_describe": "点击已答的调查问卷，出现三个按钮选项；<br/>点击“查看答题”按钮，进入到问卷详情页面；<br/>点击“查看结果”按钮，根据发布人设置的权限进入到统计页面或提示此次调查问卷的统计信息保密，不支持查看；<br/>点击 “取消”按钮，回到邀请我的列表页面；<br/>点击未答的调查问卷进入到问卷详情页，点击开始答题进入试题页面；"
		},
		{
			"help_que": "如何使用预览",
			"help_ans_gn_describe": "预览页面展示的是问卷调查详情页面，在详情页面中可以看到问卷名称、问卷描述、发布设置以及发布对象。点击查看内容可以查看问卷调查的试题。",
			"help_ans_cz_describe": "点击“查看内容”按钮，进入到试题详情页面，点击下一题可查看下一道试题详情；"
		},
		{
			"help_que": "如何查看答题",
			"help_ans_gn_describe": "查看答题页面展示的是问卷详情页面，在详情页面中可以查看到问卷名称及问卷描述。",
			"help_ans_cz_describe": "点击“查看答题”按钮，进入到试题详情页面，点击下一题可查看下一道试题。"
		},
		{
			"help_que": "如何查看结果",
			"help_ans_gn_describe": "查看结果根据用户的权限进入到统计页面或提示此次调查问卷的统计信息保密不支持查看；若进入到统计页面，在统计页面中可以查看问卷名称、统计详情。点击基本图表可查看以图表的形式显示问卷的分析结果。点击图表页面的下一题可查看下一道题的分析结果。点击答卷详情可以查看所有参与该问卷的答题人，根据用户的权限点击答卷人可相互查看答题结果。",
			"help_ans_cz_describe": "点击查看结果进入到统计页面或提示此次调查问卷的统计信息保密不支持查看;<br/>点击基本图表可查看以图表的形式显示问卷的分析结果;<br/>点击答卷详情可以查看所有参与该问卷的答题人;<br/>点击答题人可查看答题人的答题信息;"
		},
		{
			"help_que": "如何答题",
			"help_ans_gn_describe": "答题主要是完成未答的调查问卷。答题页面首先展示的是问卷调查详情页面，在详情页面中可以查看问卷名称以及问卷描述，点击开始答题，进入到答题页面可以查看具体试题。",
			"help_ans_cz_describe": "点击未答的调查问卷进入到问卷详情;<br/>点击开始答题进入到试题页面；<br/>点击下一题展示下一道试题；<br/>所有试题结束后右下角会有“进入答题卡按钮”点击进入到答题卡页面,在答题卡页面可以查看自己具体已经做了哪道试题；<br/>点击继续答题按钮，页面就会跳转到没有做并且是最小序号的试题页面；<br/>点击提交答案，就是将问卷调查提交给发布人；"
		}]
	},
	{
		"help_title": "启智游戏",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何使用游戏列表",
			"help_ans_gn_describe": "游戏列表页面主要展示当前所有的游戏，可以根据不同的游戏类型查看游戏；也可以根据学科和排序进行查看。",
			"help_ans_cz_describe": "点击游戏列表任意项即可进入该游戏的详情页面；<br/>点击右上角“三”样式的按钮，进入学科和排序选择页面；"
		},
		{
			"help_que": "如何查看游戏详情",
			"help_ans_gn_describe": "查看该游戏介绍、游戏动态。",
			"help_ans_cz_describe": "点击 “开始学习”按钮，开始游戏；"
		}]
	},
	{
		"help_title": "专题学习",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何使用专题列表",
			"help_ans_gn_describe": "专题列表页面主要展示当前所有的专题，可以根据不同的专题类型查看专题；也可以根据学科和排序进行查看。",
			"help_ans_cz_describe": "点击专题列表任意项即可进入该专题的详情页面；<br/>点击右上角“三”样式的按钮，进入学科和排序选择页面；"
		},
		{
			"help_que": "如何查看专题详情",
			"help_ans_gn_describe": "查看该游戏介绍、游戏动态。",
			"help_ans_cz_describe": "点击 “开始学习”按钮，开始专题；"
		}]
	},
	{
		"help_title": "成绩报告",
		"help_ans_length": 3,
		"help_info_list": [{
			"help_que": "如何使用成绩报告列表",
			"help_ans_gn_describe": "显示所有的考试信息。",
			"help_ans_cz_describe": "点击具体考试，进入考试成绩详情页面；<br/>点击“去认领”，进入认领详情页面；<br/>点击“三”样式的图标，可以筛选考试类别及考试时间来查询考试；"
		},
		{
			"help_que": "如何查看考试成绩详情页面",
			"help_ans_gn_describe": "可以分学科查看成绩、成绩概况、班级排名、学校排名、成绩变化情况、查看理想成绩及排名等。",
			"help_ans_cz_describe": "添加理想分数的数值，查看理想的排名；"
		},
		{
			"help_que": "如何使用考试认领详情页面",
			"help_ans_gn_describe": "没有找到自己考试信息的学生可以在考试认领详情页面寻找自己的考试信息并认领。",
			"help_ans_cz_describe": "点击“认领”按钮，进入考试认领详情页面；<br/>填写考号和姓名完成认领；"
		}]
	},
	{
		"help_title": "课件",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何使用课程资源列表",
			"help_ans_gn_describe": "课程资源列表主要是分学科展示当前所有的课件，学生未查看的课件后面会有“未读”样式的图标，若是已查看的图标，则后面会有“已读”样式的图标。",
			"help_ans_cz_describe": "查看课件时，可以点击顶部学科分类进行查看，学科分类多于当前屏幕宽度时，可以横向拖动学科分类；<br/>点击具体课件，进入课件详情页；"
		},
		{
			"help_que": "如何查看课件详情页面",
			"help_ans_gn_describe": "可以查看课件的详细信息。",
			"help_ans_cz_describe": "点击任意课件，进入课件详情页；<br/>在页面详情页面中点击课件的预览图片可以查看课件；"
		}]
	},
	{
		"help_title": "应用",
		"help_ans_length": 2,
		"help_info_list": [{
			"help_que": "如何使用应用",
			"help_ans_gn_describe": "应用主要是显示更多的应用功能。",
			"help_ans_cz_describe": "点击右上角的“更多”按钮，进入所有应用页面；<br/>点击应用配置页面右上角的“编辑”按钮，可以对应用进行移动；"
		},
		{
			"help_que": "如何使用应用配置页面",
			"help_ans_gn_describe": "应用配置页面主要是显示当前所有的应用信息，可以将未显示到首页上的应用与首页上的应用进行替换，方便用户操作。",
			"help_ans_cz_describe": "按住首页应用上的应用并向下拖动，可以将首页应用上的应用拖动到下方；<br/>按住下方其他分类中的应用，可以将应用移动到首页应用上显示；<br/>按住首页应用中的应用并移动到首页应用中的其他应用上，可以将两个应用交换位置<br/>注：首页应用最多可以显示的数量为8个；"
		}]
	},
	]
};
