var header_h;
var BASE_URL_ACTION;

apiready = function() {
	header_h = api.pageParam.header_h;
	BASE_URL_ACTION = $api.getStorage('BASE_URL_ACTION');
	//加载页面个人信息
	loadMyself();
	//初始化页面加载项目
	initItem();
}
/**
 * 打开应用Window
 * 周枫
 * 2017.05.19
 */
function openItemWin(win_name) {
	if (win_name == 'w_xyk_window') {
		//更换校园卡需要密码验证
		checkPsd(function(is_true) {
			if (is_true) {
				//更换校园卡
				commonOpenWin(win_name, win_name + '.html', false, false, {
					'header_h' : header_h
				})
			} else {
				popBottomToast("对不起，登录密码不正确，不能使用校园卡功能。");
			}
		});
	} else {
		commonOpenWin(win_name, win_name + '.html', false, false, {
			'header_h' : header_h
		})
	}
}

/**
 * 更换校园卡，密码验证
 * 周枫
 * 2017.05.09
 */
function checkPsd(callback) {
	api.prompt({
		title : '校园卡',
		msg : '请输入登录密码，以验证身份',
		type : 'text',
		buttons : ['取消', '确定']
	}, function(ret, err) {
		var index = ret.buttonIndex;
		var psd_text = ret.text;
		if (index == 2) {
			psd_text = $api.trimAll(psd_text);
			if (psd_text.length == 0) {
				api.alert({
					msg : '对不起，请输入登录密码。'
				});
				return false;
			}
			var psd_app = $api.getStorage("login_pad");
			if (psd_app == psd_text) {
				callback(true);
			} else {
				callback(false);
			}
		}
	});
}

/**
 * 初始化页面加载项目
 * 周枫
 * 2017.05.19
 */
function initItem() {
	//教师显示任课计划和设置教材功能
	var identity = parseInt($api.getStorage('identity'));
	if (identity == 5) {
		$api.css($api.dom('.rkjh_li'), 'display:block;');
		$api.css($api.dom('.szjc_li'), 'display:block;');
	}
	//判断只有阿里云和辽阳项目有资讯类菜单
	var server_name = $api.getStorage('BASE_SERVER_NAME');
	switch(server_name) {
		case "edusoa":
			$api.css($api.dom('.xyk_li'), 'display:block;');
			$api.removeCls($api.byId('zx_div'), 'display-none');
			break;
		case "cckcq":
			$api.removeCls($api.byId('zx_div'), 'display-none');
			break;
		case "199":
			$api.css($api.dom('.xyk_li'), 'display:block;');
			$api.removeCls($api.byId('zx_div'), 'display-none');
			break;
	}
}

/**
 * 加载个人信息
 * 周枫
 * 2015.12.05
 */
function loadMyself() {
	var user = document.getElementById("user");
	user.src = $api.getStorage('avatar_url');

	//		$api.css($api.byId('user'),'background-image: url("../../image/user_defaulthead@2x.png"');
	$api.html($api.byId('name'), $api.getStorage('person_name'));

	var login_name_show = $api.getStorage('login_name_show');
	if ( typeof (login_name_show) != "undefined") {
		var login_name_ypt = login_name_show.substring(0, login_name_show.lastIndexOf("_"));
		if (login_name_ypt.lastIndexOf('@') != -1) {
			var sub_index = login_name_ypt.lastIndexOf('@');
			login_name_ypt = login_name_ypt.substring(0, sub_index);
		}
		$api.html($api.byId('login'), '账号：' + login_name_ypt);
	} else {
		api.alert({
			msg : '对不起，您当前版本需要重新登录后才能正常使用。'
		}, function(ret, err) {
			logout();
		});
	}

	//机构名称
	bureau_name = ''
	if ( typeof ($api.getStorage('bureau_name')) != 'undefined') {
		bureau_name = $api.getStorage('bureau_name');
	}
	$api.html($api.byId('bureau_name'), bureau_name);
	api.hideProgress();
}

/**
 * 注销退出
 * 周枫
 * 2015.09.07
 */
function logout() {
	api.confirm({
		title : '系统提示',
		msg : '您要退出吗？',
		buttons : ['取消', '确定']
	}, function(ret, err) {
		if (ret.buttonIndex == 2) {
			var login_qy = $api.getStorage('BASE_SERVER_QY');
			if (login_qy == '九江市金砂湾学校云平台') {
				$api.setStorage('BASE_SERVER_QY', '九江市金砂湾学校云平台');
				$api.setStorage('BASE_SERVER_NAME', 'jsw');
				$api.setStorage('BASE_SERVER_IP', '117.40.170.113:8080');
				$api.setStorage('BG_SERVER_IP', '117.40.170.113:8080');
				$api.setStorage('BASE_URL_ACTION', 'http://117.40.170.113:8080/dsideal_yy');
				$api.setStorage('BASE_APP_TYPE', 2);
			} else if (login_qy == '鄂托克前旗教育云平台') {
				$api.setStorage('BASE_SERVER_QY', '鄂托克前旗教育云平台');
				$api.setStorage('BASE_SERVER_NAME', 'etkqq');
				$api.setStorage('BASE_SERVER_IP', '124.67.65.171:8080');
				$api.setStorage('BG_SERVER_IP', '124.67.65.171:8080');
				$api.setStorage('BASE_URL_ACTION', 'http://124.67.65.171:8080/dsideal_yy');
				$api.setStorage('BASE_APP_TYPE', 2);
			}

			var uiMode = api.uiMode;
			if(api.uiMode == 'phone'){
				api.execScript({
		            name : 'login',
		            script: 'changOnOffYy();'
	            });
	        }
			switch(uiMode) {
				case 'phone':
					updateAllGroupMd5Null(function(is_true) {
						//关闭list
						api.execScript({
							name : 'root',
							frameName : 'txl_index',
							script : 'closeMyself();'
						});
						//清空localStorage
						$api.rmStorage('login_name');
						//清空localStorage
						$api.rmStorage('yy_menu');
						api.setAppIconBadge({
							badge : 0
						});
						//断开融云链接
						api.sendEvent({
							name : 'logout',
							extra : {
							}
						});
					});
					break;
				case 'pad':
					//清空localStorage
					$api.rmStorage('login_name');
					//清空localStorage
					$api.rmStorage('yy_menu');
					api.openWin({
						name : 'login',
						url : '../../login_pad.html',
						scrollToTop : true,
						bounces : false,
						opaque : false,
						showProgress : false,
						vScrollBarEnabled : false,
						hScrollBarEnabled : false,
						slidBackEnabled : false,
						delay : 0,
						animation : {
							type : "reveal", //动画类型（详见动画类型常量）
							subType : "from_left", //动画子类型（详见动画子类型常量）
							duration : 300
						}
					});
					setTimeout(function(){
						api.execScript({
							name: 'root',
					        script: 'closeGroup();'
				        });
					},300);
					break;
				default:

					break;
			}

		}
	});
}

/**
 * 清空所有会话记录
 * 周枫
 * 2015.09.07
 */
function clearConversations() {
	api.confirm({
		title : '您要删除所有会话记录吗？',
		msg : '注：在会话列表页面左滑操作可以删除单条会话记录',
		buttons : ['取消', '确定']
	}, function(ret, err) {
		if (ret.buttonIndex == 2) {
			api.execScript({
				name : 'root',
				frameName : 'hh_index',
				script : 'clearConversations("w_index");'
			});
			//重置数据库大小
			getDbSize();
		}
	});
}

function openCChelper() {
	var cchelper_key;
	if (api.systemType == 'ios') {
		cchelper_key = BASE_CCHELPER_KEY_IOS;
	} else {
		cchelper_key = BASE_CCHELPER_KEY_ANDROID;
	}
	api.confirm({
		title : '您确定发起远程协助吗？',
		msg : '注：打开远程协助后您可以直接和客服人员语音沟通，如需要，可以帮您远程共享手机解决问题',
		buttons : ['确定', '取消']
	}, function(ret, err) {
		if (ret.buttonIndex == 1) {
			var cchelper = api.require('cchelperModule');
			cchelper.start({
				//应用的注册用户ID，如果没有可用为空
				userId : "",
				//领通科技CChelper SDK平台为应用生产的appKey，不可以为空
				appKey : cchelper_key
			}, function(ret, err) {
				//		if(err) {
				//			switch(ret.status){
				//				case 0:
				//					api.alert({
				//						msg : '远程服务失败，服务appKey不能为空'
				//                  },function(ret,err){
				//                  	cchelper.stop();
				//                  });
				//              break;
				//              case 2:
				//					api.alert({
				//						msg : '远程服务失败，' + err.errorMsg
				//                  },function(ret,err){
				//                  	cchelper.stop();
				//                  });
				//              break;
				//              case 3:
				//					api.alert({
				//						msg : '远程服务失败，' + err.errorMsg
				//                  },function(ret,err){
				//                  	cchelper.stop();
				//                  });
				//              break;
				//			}
				//		}
				//						alert(JSON.stringify(ret) + JSON.stringify(err));
			});
		}
	});

}

/**
 * 获取头像图片
 * 周枫
 * 2016.1.14
 */
function getPicture() {
	api.confirm({
		title : "提示",
		msg : "手机端请选择一张照片作为您的通知附件",
		buttons : ["现在照", "相册选", "取消"]
	}, function(ret, err) {
		//定义图片来源类型
		var sourceType;
		if (1 == ret.buttonIndex) {/* 打开相机*/
			sourceType = "camera";
			openPicture(sourceType);
		} else if (2 == ret.buttonIndex) {
			sourceType = "album";
			openPicture(sourceType);
		} else {
			return;
		}
	});
}

/**
 * 修改个人信息
 * 周枫
 * 2016.1.14
 */
function changePersonInfo() {
	api.ajax({
		url : BASE_URL_ACTION + '/ypt/personal/changePersonInfo',
		method : 'get',
		dataType : 'json',
		cache : false,
		headers : {
			'Cookie' : 'person_id=' + $api.getStorage("person_id") + '; identity_id=' + $api.getStorage("identity") + '; token=' + $api.getStorage("token_ypt") + ';'
		}
	}, function(ret, err) {
		if (ret.success) {

		} else {
			api.alert({
				msg : '对不起，获取通知列表信息失败'
			});
		}
	});
}

/**
 * 打开我的信息页面
 * 周枫
 * 2016.1.15
 */
function openLxHelper() {
	api.openWin({
		name : 'w_info_window',
		url : '../../html/wo/w_help_window.html',
		bounces : true,
		delay : 0,
		scrollToTop : true,
		allowEdit : true,
		slidBackEnabled : false,
		scaleEnabled : false,
		animation : {
			type : "reveal", //动画类型（详见动画类型常量）
			subType : "from_right", //动画子类型（详见动画子类型常量）
			duration : 300
		},
		pageParam : {
			'header_h' : header_h
		}
	});
}

function openMyInfo() {
	api.openWin({
		name : 'w_info_window',
		url : '../../html/wo/w_info_window.html',
		bounces : true,
		delay : 0,
		scrollToTop : true,
		allowEdit : true,
		slidBackEnabled : false,
		scaleEnabled : false,
		animation : {
			type : "reveal", //动画类型（详见动画类型常量）
			subType : "from_right", //动画子类型（详见动画子类型常量）
			duration : 300
		},
		pageParam : {
			'header_h' : header_h
		}
	});
}

function loadHelp() {
	api.alert({
		title : '理想客服',
		msg : '尊敬的用户您好，如果您在使用过程中遇到问题，请加入QQ客服群：528680962，会有技术人员为您解答。',
		buttons : ['关闭']
	});
	// 注释原因：未交费
	//	isOnLineStatus(function(is_online, line_type) {
	//		if (is_online) {
	//			var user_id = $api.getStorage('login_name');
	//			var nick_name = $api.getStorage('person_name');
	//			var param = {
	//				sysNum : "1b490094cb60432b963e62e2759926bb",
	//				userId : user_id,
	//				nickName : nick_name,
	//				phone : "",
	//				email : "",
	//				//ios:机器人优先模式，是否直接显示转人工按钮(值为"NO"时，会在机器人无法回答时显示转人工按钮)
	//				isShowTansfer : 'NO',
	//				//ios:自己处理消息中的链接，如果设置为1，将通过callBack返回到页面ret=1,value为link实际地址，desc为描述
	//				isCustomLinkClick : 0,
	//				//ios:返回按钮的文字
	//				backButtonTitle : '返回',
	//				titleFont : 18.0,
	//				backgroundColor : "#f0f0f0",
	//				topViewTextColor : "#FFFFFF",
	//				//android:可设置头部颜色; 提交评价问题选中背景色以及提交评价按钮背景色; 聊天内容中，相似问题字体颜色和富文本类型中“阅读全文”字体颜色，可为空
	//				themeColor : '#34A8FA',
	//				rightChatColor : '#15b5e9',
	//
	//				//
	//				customBannerColor : '#34A8FA',
	//				isCustomLinkClick : 1,
	//				backButtonImage : "SobotKit.bundle/ZCWebTitleBack_normal.png",
	//			};
	//			var zhichi = api.require('zhiChi');
	//			zhichi.startZhiChi(param, callBack);
	//
	//		} else {
	//			api.toast({
	//				msg : '请连接网络后使用当前功能~'
	//			});
	//		}
	//	});

}

function callBack(ret, err) {

	//			alert("ret.type=" + ret.type + "\nvalue=" + ret.value + "\nret.desc=" + ret.desc);
}