/* UIMediaScanner 封装pUIMediaScanner模块  2017.09.14 赵静 
*/
var UI_MediaScanner;//
var UIMediaScanner = {
	open : function(num,callback) {
		UI_MediaScanner = api.require('UIMediaScanner');
		UI_MediaScanner.open({
            //返回的资源种类,picture（图片）,video（视频）,all（图片和视频）
            type : 'picture',
            //（可选项）图片显示的列数，须大于1
            column : 4,
            max : num,
            //（可选项）图片排序方式,asc（旧->新）,desc（新->旧）
            sort : {
                key : 'time',
                order : 'desc'
            },
            //（可选项）模块各部分的文字内容
            texts : {
                stateText : '已选择*项',
                cancelText : '取消',
                finishText : '完成'
            },
            styles : {
                bg : '#fff',
                mark : {
                    icon : '',
                    position : 'bottom_right',
                    size : 20
                },
                nav : {
                    bg : '#eee',
                    stateColor : '#000',
                    stateSize : 18,
                    cancleBg : 'rgba(0,0,0,0)',
                    cancelColor : '#000',
                    cancelSize : 18,
                    finishBg : 'rgba(0,0,0,0)',
                    finishColor : '#000',
                    finishSize : 18
                }
            }
        }, function(ret) {
            if (ret) {
                if (getJsonObjLength(ret.list) != 0) {
                	callback(ret.list);
                }
            }
        });
	}
};